# Gimp.ConfigWriter.prototype.finish

    function finish(footer: String): Boolean {
        // Gjs wrapper for gimp_config_writer_finish()
    }

This function finishes the work of writer and unrefs it afterwards. It closes all open elements, appends an optional comment and releases all resources allocated by writer.

Using any function except Gimp.ConfigWriter.prototype.ref or Gimp.ConfigWriter.prototype.unref after this function is forbidden and will trigger warnings.

Since 2.4

footer

  text to include as comment at the bottom of the file

Returns

  true if everything could be successfully written, false otherwise